Subject: Re: [bug#45039] [PATCH] Remove duplicate path declaration

From: zimoun <[email-masked]>
Date: Fri, 04 Dec 2020 22:30:11 +0100

Hi,

On Fri, 04 Dec 2020 at 16:15, Leo Famulari <[email-masked]> wrote:
> On Fri, Dec 04, 2020 at 09:46:01PM +0100, zimoun wrote:
>> Well, from my understanding, doing this:
>> 
>>         GUIX_PROFILE=$HOME/.config/guix/current
>>         . $GUIX_PROFILE/etc/profile
>> 
>> allows to have the guix commands that refer to the latest version “guix
>> pull”’ed.   Moreover, you also have the last version of the manual with:
>> 
>> --8<---------------cut here---------------start------------->8---
>> export INFOPATH="$HOME/.config/guix/current/share/info${INFOPATH:+:}$INFOPATH"
>> --8<---------------cut here---------------end--------------->8---
>> 
>> To me, the manual is right for this part.  Maybe I am missing something.
>
> I suppose that one could source both 'etc/profile' directories, from
> ~/.guix-profile and ~/.config/guix/current.

My .bash_profile contains:

--8<---------------cut here---------------start------------->8---
export GUIX_MYPROFILES=~/.config/guix/profiles
for p in $(ls --color=no -1 $GUIX_MYPROFILES)
do
    profile=${GUIX_MYPROFILES}/${p}/${p}
    if [ -d $profile ]
    then
	GUIX_PROFILE=$profile
	. $profile/etc/profile
	# unset $profile
    fi
done
GUIX_PROFILE=$HOME/.guix-profile
. $GUIX_PROFILE/etc/profile

# the latest Guix version lives there
# needs to be first in the PATH
GUIX_PROFILE=$HOME/.config/guix/current
. $GUIX_PROFILE/etc/profile

# Ugly workaround
export PATH="$HOME/.config/guix/current/bin${PATH:+:}$PATH"
# ~/.config/current/bin/guix repl works with readline
export GUILE_LOAD_PATH="$HOME/.guix-profile/share/guile/site/3.0${GUILE_LOAD_PATH:+:}$GUILE_LOAD_PATH"
# lastest info manual
export INFOPATH="$HOME/.config/guix/current/share/info${INFOPATH:+:}$INFOPATH"
--8<---------------cut here---------------end--------------->8---

Hope that helps.

>> Did you run “guix pull” as regular user?
>
> No, as the root user. It's the only user on that server.

So, the message seems consistent, isn’t it?  I am not sure better could
be done for the root user.  Well, I do not know. :-)

All the best,
simon